# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-XML-NamespaceSupport
Version:	1.12
Release:	19.%{__distinit}%{__distvers}
Summary:	A simple generic namespace support class
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/XML-NamespaceSupport
Source0:	https://cpan.metacpan.org/modules/by-module/XML/XML-NamespaceSupport-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
# Module Runtime
BuildRequires:	perl(constant)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module offers a simple way to process namespaced XML names (unames) from
within any application that may need them. It also helps maintain a prefix to
namespace URI map, and provides a number of basic checks.

%prep
%setup -q -n XML-NamespaceSupport-%{version}
chmod -c -x lib/XML/NamespaceSupport.pm

%build
perl Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::NamespaceSupport.3*

%changelog
* Thu Jun 22 2023 Paul Howarth <paul@city-fan.org> - 1.12-19
- Use SPDX-format license tag

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 1.12-8
- Perl 5.30 rebuild

* Thu Mar 29 2018 Paul Howarth <paul@city-fan.org> - 1.12-4
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Mar 31 2017 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Dzilify and re-release

* Mon Oct 17 2016 Paul Howarth <paul@city-fan.org> - 1.11-19
- Classify buildreqs by usage
- Simplify find command using -delete
- Drop %%defattr, redundant since rpm 4.4

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 1.11-7
- BR: perl(constant) and perl(Cwd)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> - 1.11-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1.11-3
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 27 2010 Paul Howarth <paul@city-fan.org> - 1.11-2
- Fix dist tag for RHEL-6 Beta

* Tue Mar 16 2010 Paul Howarth <paul@city-fan.org> - 1.11-1
- Update to 1.11 (re-generate the META.yml)

* Mon Feb  8 2010 Paul Howarth <paul@city-fan.org> - 1.10-2
- dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation

* Mon Jun 15 2009 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10 (re-bundle with modern testing and Module::Install)
- Buildreq perl(Test::More)
- New upstream maintainer → new source URL
- Add --skipdeps to Makefile.PL invocation so we don't need perl(CPAN)

* Fri Oct 31 2008 Paul Howarth <paul@city-fan.org> - 1.09-3
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Mar 26 2007 Paul Howarth <paul@city-fan.org> - 1.09-2
- Import from Fedora Core
- Add dist tag macros
- Buildreq perl(ExtUtils::MakeMaker)
- Use search.cpan.org download URL
- Improve summary and description
- Cosmetic spec file cleanups
- Macro-ize commands where possible, hardcode paths elsewhere
- Fix argument order for find with -depth

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.09-1.2.1
- Rebuild

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.09-1.2
- Rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- Rebuilt for new gcc

* Fri Sep  9 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.09-1
- Update to 1.09

* Sat Apr 30 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-7
- Bring up to date with current Fedora.Extras perl spec template (#156511)

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> - 1.08-6
- Rebuild

* Thu Oct 17 2002 cturner@redhat.com
- Specfile autogenerated

